package ms.itsecteam.warpdrink;

import java.sql.SQLException;

import com.j256.ormlite.jdbc.JdbcConnectionSource;
import com.j256.ormlite.support.ConnectionSource;

public class Database {
	private static Database instance;
	private ConnectionSource connectionSource;

	private Database() {
		try {
			this.connectionSource = new JdbcConnectionSource("jdbc:mysql://localhost/dev","root","");
			System.out.println(this.connectionSource);
			System.out.println(this.connectionSource.isOpen());
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}
	
	public static Database getInstance() {
		if (instance == null) {
			instance = new Database();
		}
		return instance;
	}
	
	
	public ConnectionSource getConnectionSource() {
		return connectionSource;
	}

	public void setConnectionSource(ConnectionSource connectionSource) {
		this.connectionSource = connectionSource;
	}
}
