package ms.itsecteam.warpdrink.data.rest;

import android.os.AsyncTask;
import android.util.Log;

import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;
import org.springframework.web.client.RestTemplate;

public class RequestSingleObject<T> extends AsyncTask<Object, Void, T> {
    String url;
    Class<T> clazz;
    public RequestSingleObject initTask(String url, Class<T> clazz) {
        this.url = "http://10.0.2.2:8080/warpdrink/rest/";

        this.url += url;
        this.clazz=clazz;
        return this;
    }
    @Override
    protected T doInBackground(Object... params) {
        try {
            RestTemplate restTemplate = new RestTemplate();
            restTemplate.getMessageConverters().add(new MappingJackson2HttpMessageConverter());
            T ret = restTemplate.getForObject(this.url, clazz);

            return ret;
        } catch (Exception e) {
            Log.e("MainActivity", e.getMessage(), e);
        }

        return null;
    }

    @Override
    protected void onPostExecute(T result) { }

}
