package ms.itsecteam.warpdrink.data.rest;

import android.os.AsyncTask;
import android.util.Log;

import com.google.gson.Gson;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Arrays;
import java.util.List;

import ms.itsecteam.warpdrink.data.objects.User;

public class RequestUserList extends AsyncTask<Object, Void, List<User>> {
    String url;
    public RequestUserList initTask(String url) {
        this.url = "http://10.0.2.2:8080/warpdrink/rest/";
        this.url += url;
        return this;
    }
    @Override
    protected List<User> doInBackground(Object... params) {
        User[] x;
        try {
            String line;
            String response="";
            OutputStreamWriter writer;
            BufferedReader reader;
            HttpURLConnection conn;
            try {
                conn =  (HttpURLConnection) new URL(this.url).openConnection();
                conn.setDoOutput(true);
                reader = new BufferedReader(new InputStreamReader(conn.getInputStream()));
                while ((line = reader.readLine()) != null) { response += line; }
                Log.d("TV",response);
                x = new Gson().fromJson(response, User[].class);
                reader.close();
                return Arrays.asList(x);
            } catch (Exception e) { Log.d("TV",e.toString()); }
        } catch (Exception e) {
            Log.e("MainActivity", e.getMessage(), e);
        }
        return null;
    }

}
